/*
 * Class WEL_GDIP_RECT_F
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_44 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_44 [] = {0xFF01,1551,43,0xFFFF};
static const EIF_TYPE_INDEX egt_2_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_3_44 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_44 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_6_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_7_44 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_44 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_44 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_44 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_44 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_44 [] = {0xFF01,43,0xFFFF};
static const EIF_TYPE_INDEX egt_13_44 [] = {0xFF01,669,0xFFFF};


static const struct desc_info desc_44[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_44), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_44), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_44), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_44), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_44), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_44), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_44), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_44), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_44), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_44), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_44), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_44), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x57 /*43*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_44), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 684, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 685, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 673, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_44), 674, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 675, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 676, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 677, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 678, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 679, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 683, 0xFFFFFFFF},
};
void Init44(void)
{
	IDSC(desc_44, 0, 43);
	IDSC(desc_44 + 1, 1, 43);
	IDSC(desc_44 + 32, 1292, 43);
}


#ifdef __cplusplus
}
#endif
